<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['TipoDoc']) $TipoDoc=$_GET['TipoDoc']; else if($_POST['TipoDoc']) $TipoDoc=$_POST['TipoDoc'];
if($_GET['NumDoc']) $NumDoc=$_GET['NumDoc']; else if($_POST['NumDoc']) $NumDoc=$_POST['NumDoc'];
if($_GET['idReport']) $idReport=$_GET['idReport']; else if($_POST['idReport']) $idReport=$_POST['idReport'];

if($_GET['RutaTemporalSubidaDocumentos']) $RutaTemporalSubidaDocumentos=$_GET['RutaTemporalSubidaDocumentos']; else if($_POST['RutaTemporalSubidaDocumentos']) $RutaTemporalSubidaDocumentos=$_POST['RutaTemporalSubidaDocumentos'];
if($_GET['UUID']) $UUID=$_GET['UUID']; else if($_POST['UUID']) $UUID=$_POST['UUID'];

if($_GET['archivoFirma']) $archivoFirma=$_GET['archivoFirma']; else if($_POST['archivoFirma']) $archivoFirma=$_POST['archivoFirma'];
if($_GET['Refirma']) $Refirma=$_GET['Refirma']; else if($_POST['Refirma']) $Refirma=$_POST['Refirma'];


if($_GET['Empresa']) $_SESSION['empresa']=$_GET['Empresa'];


$archivo=file_get_contents($archivoFirma);
$datos=base64_encode($archivo);

$peticion=$_SESSION['empresa'].'#'.$TipoDoc.'#'.$NumDoc.'#'.$idReport.'#'.$RutaTemporalSubidaDocumentos.'#'.$UUID.'#'.$_SESSION['usuario']['Usuario'].'#'.$Refirma;


$resultado=ImprimirDocumento($wsUsuario,$wsClave,$wsEmpresa,$peticion,$datos);

            
if($_GET['traza']=='si') {
	echo '<p>TipoDoc: '.$TipoDoc.'</p>';
	echo '<p>NumDoc: '.$NumDoc.'</p>';
	echo '<p>idReport: '.$idReport.'</p>';
	echo '<p>RutaTemporalSubidaDocumentos: '.$RutaTemporalSubidaDocumentos.'</p>';
	echo '<p>UUID: '.$UUID.'</p>';
	echo '<p>archivoFirma: '.$archivoFirma.'</p>';
	?><textarea><?php echo $datos; ?></textarea><?php
	echo '<p>'.$peticion.'</p>';
	echo '<p>RESPUESTA WEB SERVICE "ImprimirDocumento":</p>';
	print_r($resultado);
}

if($resultado['Error']) {
	echo 'error#'.$resultado['Error'];
}
else {
	echo $resultado['NombreTemporalPDF'];
	//unlink($archivoFirma);
}
?>